Subject: Re: [bug#63521] Request for merging "tex-team" branch

From: Christopher Baines <[email-masked]>
Date: Tue, 23 May 2023 14:20:04 +0100

Christopher Baines <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> Nicolas Goaziou <[email-masked]> skribis:
>>
>>> Christopher Baines <[email-masked]> writes:
>>>
>>>> While I realise that waiting to make changes is fustrating, I think it's
>>>> important to try and build things before merging so that the effects are
>>>> known. This is also good motivation to get more hardware helping to
>>>> build things to speed up the process.
>>>
>>> I opened the issue because the "tex-team" branch was fully built on
>>> CI, according to <https://ci.guix.gnu.org/eval/461653>.
>>>
>>> Should I have looked elsewhere before asking for the merge?
>>
>> Looking at <https://qa.guix.gnu.org/branch/tex-team>, there are 13 new
>> failures on x86_64 (178 vs. 165), but I’m not sure what they are because
>> the comparison page shows all the changed derivations (whereas we’d like
>> to see new failures only).
>>
>> How can we get that info, Chris?
>
> So, taking one step back, these numbers come from a comparison of
> tex-team and the master branch, and while that sounds sensible, because
> it's a comparison of the tips of those branches, I think some of what
> you're seeing is breakages that have happened on the master branch but
> after the last common commit.
>
>> I did find one “new” failure on the comparison page but I can’t believe
>> it’s related to changes in the branch:
>>
>>   https://data.qa.guix.gnu.org/gnu/store/a7898v4zq86vzn664g5xh0dq6s1p813k-ams-lv2-1.2.2.drv
>
> Yeah, as I say above it's possible that this has been broken on master
> and not tex-team.
>
> I'll look at getting the comparisons to happen between revisions that
> better isolate the changes on the branch, I might just initially ignore
> the hard case where the "merge base" in the Git sense isn't know by the
> data service.

I'm making some progress, I think I've changed the qa-frontpage in this
way, but unfortunately tex-team branched off master at a revision that
data.qa.guix.gnu.org hasn't got around to processing yet, so currently
there's no comparison.

Maybe the branch could be rebased or master could be merged in? If you
pick the latest commit with a green tick by it from [1], then that
should mean the data service is able to perform the comparison.

1: http://data.qa.guix.gnu.org/repository/2/branch/master